> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.voicecheap.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# プロジェクト詳細の取得

> 公開プロジェクトの詳細、翻訳バージョン履歴、およびリップシンク履歴を取得します

# プロジェクト詳細の取得

プロジェクトの正規化された公開ビューを取得します。翻訳バージョン履歴、リップシンク履歴、動的字幕の状態、または公開状態が必要な場合にこのエンドポイントを使用してください。

頻繁なポーリングには、引き続き [翻訳ステータスの取得](https://api-docs.voicecheap.ai/docs/ja/api-reference/translation-status.md) を使用してください。このエンドポイントはより詳細な情報を返し、意図的に多くのデータを取得するように設計されています。

## リクエスト

### ヘッダー

**x-api-key** `string` *required*

あなたの VoiceCheap APIキー。[app.voicecheap.ai/page-api](https://app.voicecheap.ai/page-api) から取得してください。

### パスパラメータ

**projectId** `string` *required*

[プロジェクト作成](https://api-docs.voicecheap.ai/docs/ja/api-reference/create-project.md) または [翻訳開始](https://api-docs.voicecheap.ai/docs/ja/api-reference/translate.md) から返されるプロジェクトの一意の識別子。

## レスポンス

**projectId** `string` *required*

プロジェクトの一意の識別子。

**projectName** `string` *required*

プロジェクト名。

**status** `string` *required*

公開プロジェクトのステータス: `processing`、`success`、または `failed`。

**workflow** `string` *required*

APIワークフロー: `translation` または `transcription`。文字起こしワークフローは、ソースの文字起こしが完了すると成功します。

**originalVideoUrl** `string` *required*

アップロードされた元の動画または音声ファイルへのURL。

**originalLanguage** `string` *required*

検出または指定された元の言語。

**targetLanguages** `string[]` *required*

プロジェクトに関連付けられたターゲット言語。

**duration** `number` *required*

コンテンツの長さ（秒単位）。

**createdAt** `number` *required*

プロジェクトが作成されたUnixタイムスタンプ。

**progress** `object` *required*

現在のプロジェクトレベルの進捗状況。

**進捗プロパティ**

**progress.step** `string`

現在のプロジェクト作成または文字起こしのステップ。

**progress.transcriptionProgress** `number`

プロジェクト作成/文字起こしの概算進捗率。

**progress.transcriptionStatus** `string` *required*

ソース文字起こしのステータス: `processing`、`success`、または `failed`。

**translations** `array` *required*

翻訳バージョン履歴。新しいバージョンから順に並べ替えられています。

**翻訳プロパティ**

**translations\[].workId** `string`

翻訳作業の識別子。

**translations\[].translatedVersionId** `string`

翻訳バージョンの識別子。

**translations\[].targetLanguage** `string`

このバージョンのターゲット言語。

**translations\[].status** `string`

翻訳バージョンのステータス: `in-progress`、`completed`、`not-started`、または `failed`。

**translations\[].currentStep** `string`

このバージョンの現在の吹き替えステップ。

**translations\[].progress** `number`

吹き替えの概算進捗率。

**translations\[].createdAt** `number`

この翻訳バージョンが作成されたタイムスタンプ。

**translations\[].completedAt** `number`

利用可能な場合の完了タイムスタンプ。

**translations\[].failedAt** `number`

利用可能な場合の失敗タイムスタンプ。

**translations\[].timedOutAt** `number`

利用可能な場合のタイムアウトタイムスタンプ。

**translations\[].translatedVideoUrl** `string`

翻訳された動画のURL。

**translations\[].translatedAudioUrl** `string`

翻訳済み音声のURL。

**translations\[].settings** `object`

字幕、SmartSync、背景音声、品質モードなど、翻訳版に使用される公開設定。

**translations\[].settings.dubbingMode** `string`

VoiceCheap が翻訳エンジンと SmartSync で文字起こしを翻訳した場合は `translate`、提供された `translatedSrt` のテキストの場合は `dub-only` です（[プロジェクトの吹き替え](https://api-docs.voicecheap.ai/docs/ja/api-reference/dub-project.md)を参照）。吹き替えのみの版は常に `smartSync: false` を報告します。

**translations\[].error** `object`

翻訳版の作成に失敗した場合のエラーコードとメッセージ。

**translations\[].lipSync** `object`

翻訳版のリップシンク履歴。リップシンクがリクエストされた場合にのみ表示されます。

**lipSyncプロパティ**

**translations\[].lipSync.latest** `object`

最新のリップシンク試行。

**translations\[].lipSync.history** `array`

この翻訳版に対するすべてのリップシンク試行（作成順）。

**translations\[].lipSync.history\[].jobId** `string`

リップシンクジョブの識別子。

**translations\[].lipSync.history\[].status** `string`

リップシンクのステータス：`PENDING`、`PROCESSING`、`COMPLETED`、`FAILED`、`REJECTED`、または`CANCELED`。

**translations\[].lipSync.history\[].videoUrl** `string`

完了時のリップシンク済み動画URL。

**translations\[].lipSync.history\[].type** `string`

リップシンクモード：`standard`、`pro`、または`studio`。

**translations\[].lipSync.history\[].activeSpeakerDetectionEnabled** `boolean`

この試行でアクティブスピーカー検出が有効になっていたかどうか。

**translations\[].dynamicSubtitles** `object`

利用可能な場合の動的字幕の状態。

**translations\[].publicationAttempts** `array`

利用可能な場合の公開試行の状態。

**translations\[].publishedVideos** `array`

利用可能な場合の公開済み動画リファレンス。

## 例

```bash cURL theme={null}
curl -X GET "https://api.voicecheap.ai/v1/projects/abc123-def456-ghi789" \
  -H "x-api-key: vc_your-api-key"
```

```json Response theme={null}
{
  "projectId": "abc123-def456-ghi789",
  "projectName": "Launch Demo",
  "status": "success",
  "workflow": "translation",
  "originalVideoUrl": "https://storage.example.com/input.mp4",
  "originalLanguage": "en",
  "targetLanguages": ["french"],
  "duration": 120,
  "createdAt": 1791280000000,
  "progress": {
    "step": "done",
    "transcriptionProgress": 100,
    "transcriptionStatus": "success"
  },
  "translations": [
    {
      "workId": "work_123",
      "translatedVersionId": "version_456",
      "targetLanguage": "french",
      "status": "completed",
      "currentStep": "done",
      "progress": 100,
      "createdAt": 1791280200000,
      "completedAt": 1791280800000,
      "translatedVideoUrl": "https://storage.example.com/translated.mp4",
      "translatedAudioUrl": "https://storage.example.com/translated.mp3",
      "settings": {
        "voiceCloning": true,
        "uploadType": "video",
        "keepBackgroundMusic": true,
        "keepOriginalVoice": false,
        "originalVoiceVolume": 30,
        "subtitles": {
          "isEnable": true,
          "source": "translated"
        },
        "smartSync": true,
        "dubbingMode": "translate",
        "voiceIsolatorOption": "realistic",
        "translationQualityMode": "max"
      },
      "lipSync": {
        "latest": {
          "jobId": "lip_789",
          "status": "COMPLETED",
          "videoUrl": "https://storage.example.com/lipsync.mp4",
          "errorMessage": null,
          "type": "pro",
          "createdAt": "2026-06-08T10:00:00.000Z",
          "completedAt": "2026-06-08T10:20:00.000Z",
          "activeSpeakerDetectionEnabled": true
        },
        "history": [
          {
            "jobId": "lip_789",
            "status": "COMPLETED",
            "videoUrl": "https://storage.example.com/lipsync.mp4",
            "errorMessage": null,
            "type": "pro",
            "createdAt": "2026-06-08T10:00:00.000Z",
            "completedAt": "2026-06-08T10:20:00.000Z",
            "activeSpeakerDetectionEnabled": true
          }
        ]
      }
    }
  ]
}
```

## エラー

| ステータス | コード | 説明 |
| - | - | - |
| 401 | `MISSING_API_KEY` | APIキーが必要です |
| 401 | `INVALID_API_KEY` | 提供されたAPIキーは無効です |
| 403 | `FORBIDDEN` | プロジェクトにアクセスする権限がありません |
| 404 | `PROJECT_NOT_FOUND` | プロジェクトが存在しません |
| 429 | `RATE_LIMIT_EXCEEDED` | リクエストが多すぎます |
| 500 | `INTERNAL_ERROR` | 予期しないサーバーエラー |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.